package data;

public enum CalculateFor {
	WORD("različnica"),
	NORMALIZED_WORD("normalizirana različnica"),
	LEMMA("lema"),
	MORPHOSYNTACTIC_SPECS("oblikoskladenjska oznaka"),
	MORPHOSYNTACTIC_PROPERTY("oblikoskladenjska lastnost"),
	WORD_TYPE("besedna vrsta"),
	DIST_WORDS("različnica"),
	DIST_LEMMAS("lema");


	private final String name;

	CalculateFor(String name) {
		this.name = name;
	}

	public String toString() {
		return this.name;
	}

	public static CalculateFor factory(String cf) {
		if (cf != null) {
			if (WORD.toString().equals(cf)) {
				return WORD;
			}
			if (LEMMA.toString().equals(cf)) {
				return LEMMA;
			}
			if (MORPHOSYNTACTIC_SPECS.toString().equals(cf)) {
				return MORPHOSYNTACTIC_SPECS;
			}
			if (MORPHOSYNTACTIC_PROPERTY.toString().equals(cf)) {
				return MORPHOSYNTACTIC_PROPERTY;
			}
			if (WORD_TYPE.toString().equals(cf)) {
				return WORD_TYPE;
			}
			if (NORMALIZED_WORD.toString().equals(cf)) {
				return NORMALIZED_WORD;
			}
		}
		return null;
	}

	public String toMetadataString() {
		switch(this){
			case WORD:
				return "Skupna vsota vseh različnic:";
			case NORMALIZED_WORD:
				return "Skupna vsota vseh normaliziranih različnic:";
			case LEMMA:
				return "Skupna vsota vseh lem:";
			case MORPHOSYNTACTIC_SPECS:
				return "Skupna vsota vseh oblikoskladenjskih oznak:";
			case MORPHOSYNTACTIC_PROPERTY:
				return "Skupna vsota vseh oblikoskladenjskih lastnosti:";
			case WORD_TYPE:
				return "Skupna vsota vseh besednih vrst:";
			case DIST_WORDS:
				return "Skupna vsota vseh različnic:";
			case DIST_LEMMAS:
				return "Skupna vsota vseh lem:";
			default:
				return null;
		}
	}

	public String toHeaderString() {
		switch(this){
			case WORD:
				return "Različnica";
			case NORMALIZED_WORD:
				return "Normalizirana različnica";
			case LEMMA:
				return "Lema";
			case MORPHOSYNTACTIC_SPECS:
				return "Oblikoskladenjska oznaka";
			case MORPHOSYNTACTIC_PROPERTY:
				return "Oblikoskladenjska lastnost";
			case WORD_TYPE:
				return "Besedna vrsta";
			case DIST_WORDS:
				return "Različnica";
			case DIST_LEMMAS:
				return "Lema";
			default:
				return null;
		}
	}

    public String toPercentString() {
        switch(this){
            case WORD:
                return "Delež glede na vse različnice";
            case NORMALIZED_WORD:
                return "Delež glede na vse normalizirane različnice";
            case LEMMA:
                return "Delež glede na vse leme";
            case MORPHOSYNTACTIC_SPECS:
                return "Delež glede na vse oblikoskladenjske oznake";
            case MORPHOSYNTACTIC_PROPERTY:
                return "Delež glede na vse oblikoskladenjske lastnosti";
            case WORD_TYPE:
                return "Delež glede na vse besedne vrste";
            case DIST_WORDS:
                return "Delež glede na vse različnice";
            case DIST_LEMMAS:
                return "Delež glede na vse leme";
            default:
                return null;
        }
    }
}
